
.. _sec_options:

Options
*******

This section describes key options of ``lib_xua``. These are typically controlled using build time defines. 
Where something must be defined, it is recommended this is done in `xua_conf.h` but could also be done in the application Makefile.

For full details of all options please see  ::ref:`sec_api`.

.. toctree::
   
    Strings <opt_strings> 
    Code Location <opt_location>
    Channel Counts and Sample Rates <opt_channels>
    USB Audio Class Support <opt_audio_class>
    Synchronisation <opt_sync> 
    I2S/TDM <opt_i2s>
    S/PDIF Transmit <opt_spdif_tx>
    S/PDIF Receive <opt_spdif_rx>
    MIDI <opt_midi>
    PDM Microphones <opt_pdm>
    Mixer <opt_mixer>
    Direct Stream Digital (DSD) <opt_dsd>
    USB Audio Formats <opt_audio_formats>
    Other Options <opt_other>










